<?php
if(!defined('CC_DS')) die('Access Denied');
$module		= new Module(__FILE__, $_GET['module'], 'admin/index.tpl', true,false);
$template_vars = array(
    'version'=>checkVersion('1.3.1')
);
$module->assign_to_template($template_vars);
$module->fetch();
$page_content = $module->display();

function checkVersion($version)
{
    $ch = curl_init();
    curl_setopt($ch, CURLOPT_URL, "http://www.cashbill.pl/ajax/module-version-checker.php?cmd=info&module=CubeCart");
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
    $response = curl_exec($ch);
    curl_close($ch);

    $response = json_decode($response);

    if(empty($response))
    {

        return '';

    }

    if ($response->version == $version)
    {
        return '<p style="text-align:center;">Posiadasz najnowszą wersję modułu płatności CashBill dla '.$response->name.'</p>';
    }

    return '<p style="text-align:center;">Aktualnie posiadasz wersję ' . $version . ' jednak jest już dostępna nowsza wersja ' . $response->version . '.</p><p style="text-align:center;"> Możesz ją pobrać korzystając z tego linku <a href="http://www.cashbill.pl/' . $response->link . '">moduł dla ' . $response->name . ' w wersji ' . $response->version . '</a><p>';
}